actors:

  rplay.user:
    config:
      login: "your@account.com"
      password: "reallygoodpassword"
    defaults:
      update_interval: 270
      quiet_first_time: false
    entities:
        - name: "68ccf6210a9ac28105535ed0"
          creator_oid: "68ccf6210a9ac28105535ed0"   
        - name: "68cd08cd539437216f0020c6"
          creator_oid: "68cd08cd539437216f0020c6"   
        - name: "677cc3ac2a9b0a9924af2837"
          creator_oid: "677cc3ac2a9b0a9924af2837"   
        - name: "6897138859868edd82a9ab3e"
          creator_oid: "6897138859868edd82a9ab3e"   
        - name: "6822fc2dd171850fd77894b5"
          creator_oid: "6822fc2dd171850fd77894b5"   
        - name: "684cef74cedd917c42919bd8"
          creator_oid: "684cef74cedd917c42919bd8"   
        - name: "67d98045e6bae242d87246fa"
          creator_oid: "67d98045e6bae242d87246fa"   
        - name: "xxx_hoshimaru"
          creator_oid: "673574b0392784fa9c6b97f0"   
        - name: "68484ed975fa93c14fb29f31"
          creator_oid: "68484ed975fa93c14fb29f31"   
        - name: "6839947140463542411fba7c"
          creator_oid: "6839947140463542411fba7c"   
        - name: "683edbadee82db99a2a4f84f"
          creator_oid: "683edbadee82db99a2a4f84f"   
        - name: "68381f06a42f585dd7db61d0"
          creator_oid: "68381f06a42f585dd7db61d0"   
        - name: "6721f12e033d356e6b2b34af"
          creator_oid: "6721f12e033d356e6b2b34af"   
        - name: "680f89b297282fcd0300b095"
          creator_oid: "680f89b297282fcd0300b095"   
        - name: "679cbfc21439c1ad1d147626"
          creator_oid: "679cbfc21439c1ad1d147626"   
        - name: "6765210ba81e532eb0ef7b2d"
          creator_oid: "6765210ba81e532eb0ef7b2d"   
        - name: "67a0859115f8d9969cc7c28b"
          creator_oid: "67a0859115f8d9969cc7c28b"   
        - name: "6707aba9149be29166f34661"
          creator_oid: "6707aba9149be29166f34661"   
        - name: "687a02e97c521a0067788b8d"
          creator_oid: "687a02e97c521a0067788b8d"   
        - name: "6879c2560dc710d284a6920e"
          creator_oid: "6879c2560dc710d284a6920e"   
        - name: "679c82d1955508441bd011d9"
          creator_oid: "679c82d1955508441bd011d9"   
        - name: "68793bd66a7b2440ae86bdb2"
          creator_oid: "68793bd66a7b2440ae86bdb2"   
        - name: "6879d69d0dc710d284a6a081"
          creator_oid: "6879d69d0dc710d284a6a081"   
        - name: "675653ab19e0fd756ff2cea3"
          creator_oid: "675653ab19e0fd756ff2cea3"   
        - name: "6815ca908c6c6f845e3601a1"
          creator_oid: "6815ca908c6c6f845e3601a1"   
        - name: "6800ffc38e10500afe4b46ab"
          creator_oid: "6800ffc38e10500afe4b46ab"   
        - name: "67263be41e058603feeef70e"
          creator_oid: "67263be41e058603feeef70e"   
        - name: "67f0e33ddef70b04d27e89ff"
          creator_oid: "67f0e33ddef70b04d27e89ff"   
        - name: "67eca8fa1a195efff0217c2e"
          creator_oid: "67eca8fa1a195efff0217c2e"   
        - name: "pekapekatta777"
          creator_oid: "67acd278c755858727e0f1fe"    
        - name: "678b2aab89cd96d53a79d17e"
          creator_oid: "678b2aab89cd96d53a79d17e"   
        - name: "678b2c3daefb4d6fa1756764"
          creator_oid: "678b2c3daefb4d6fa1756764"   
        - name: "677e54708b6d1c81e7594d72"
          creator_oid: "677e54708b6d1c81e7594d72"   
        - name: "tamanoihinokimatatabi"
          creator_oid: "6666b0c18c93e3224aff9fc7"   
        - name: "669667000e362219cf2fcbf3"
          creator_oid: "669667000e362219cf2fcbf3"   
        - name: "679640c789cd96d53a4441b2"
          creator_oid: "679640c789cd96d53a4441b2"   
        - name: "6784e53115d267239cb9c79d"
          creator_oid: "6784e53115d267239cb9c79d"    
        - name: "6708ffd2cb6311fa2487f3a8"
          creator_oid: "6708ffd2cb6311fa2487f3a8"   
        - name: "670caefc85796799bd01f06e"
          creator_oid: "670caefc85796799bd01f06e"   
        - name: "67175df2033d356e6b0e095b"
          creator_oid: "67175df2033d356e6b0e095b"   
        - name: "672db2e69c993e5d7d4317f0"
          creator_oid: "672db2e69c993e5d7d4317f0"   
        - name: "6700858a23dc97d2b5e8b02a"
          creator_oid: "6700858a23dc97d2b5e8b02a"   
        - name: "6709181e5425a17e0f6c90ff"
          creator_oid: "6709181e5425a17e0f6c90ff"   
        - name: "670cb230033d356e6b87b59c"
          creator_oid: "670cb230033d356e6b87b59c"   
        - name: "67af955f2c612cfa09b99b45"
          creator_oid: "67af955f2c612cfa09b99b45"   
        - name: "evsn_19"
          creator_oid: "6491e50cc5c67f01c4d656c2"   
        - name: "66a09bbce35d6393c199bb0c"
          creator_oid: "66a09bbce35d6393c199bb0c"   
        - name: "setsuneko"
          creator_oid: "6707a806427f40d98bd003f0"   
        - name: "670fa0ce8fc97b000de6c26f"
          creator_oid: "670fa0ce8fc97b000de6c26f"   
        - name: "66213fd14eb65b8366a63916"
          creator_oid: "66213fd14eb65b8366a63916"   
        - name: "6707d811d38d513569a9f508"
          creator_oid: "6707d811d38d513569a9f508"       
        - name: "racal_ra"
          creator_oid: "673e91b7392784fa9c25676c"       
        - name: "66b47883b0d4ca301926a0c2"
          creator_oid: "66b47883b0d4ca301926a0c2"       
        - name: "658ace4494bb71283af7ab4c"
          creator_oid: "658ace4494bb71283af7ab4c"
        - name: "66e0c89606c50a79e09335a6"
          creator_oid: "66e0c89606c50a79e09335a6"
        - name: "cocoro_ASMR"
          creator_oid: "66a8027be35d6393c1250a5d"
        - name: "66867431945737e50ec1d534"
          creator_oid: "66867431945737e50ec1d534"
        - name: "6687dd0b0ea7eacfd52fcccc"
          creator_oid: "6687dd0b0ea7eacfd52fcccc"
        - name: "66c97f4e4908bac7112adb6f"
          creator_oid: "66c97f4e4908bac7112adb6f"
        - name: "connectopia"
          creator_oid: "66d48c2e435aa1e78f8c586d"
        - name: "6650b5948da1d2cd361f983c"
          creator_oid: "6650b5948da1d2cd361f983c"
        - name: "6666afe57d9a613ad7cc2257"
          creator_oid: "6666afe57d9a613ad7cc2257"
        - name: "rhymu_promisu"
          creator_oid: "64b8c4166d8fdb242e2ff10c"
        - name: "chachamaru"
          creator_oid: "667e4cd99aa7f739a2c91852"
        - name: "furachi"
          creator_oid: "65e07e60850f4527aab74757"
        - name: "64b8a20a288da17a2c622586"
          creator_oid: "64b8a20a288da17a2c622586"
        - name: "satsuha"
          creator_oid: "646d8ed8a7adc00ec38d764b"
        - name: "hatsukoi_himeka"
          creator_oid: "66898abb8f6f1d63f866700b"
        - name: "cia"
          creator_oid: "668915f50ea7eacfd5c996c7"
        - name: "miyakawayukino"
          creator_oid: "660fe834f84e998a1d44cc03"
        - name: "datenshi_lune"
          creator_oid: "66351a88a7e892745ba20a15"
        - name: "jakotimaki"
          creator_oid: "65ea7e7f37043dc0b54ba91b"
        - name: "ms_neferu"
          creator_oid: "6640ce9db293d7d82bf76cfd"
        - name: "shirotsuki_ru"
          creator_oid: "6676c7aed65bb92e613c6289"
        - name: "aminopikon"
          creator_oid: "669a180a235c9aae2e19bb41"
        - name: "riruchin"
          creator_oid: "6601154f7168db08b9c97021"
        - name: "renge"
          creator_oid: "65eeb4b237043dc0b5654f86"
        - name: "667adc9e9aa7f739a2158ff3"
          creator_oid: "667adc9e9aa7f739a2158ff3"
        - name: "663798ec5d5007d8c888b749"
          creator_oid: "663798ec5d5007d8c888b749"
        - name: "66222d8e29e6ac9b2314be2c"
          creator_oid: "66222d8e29e6ac9b2314be2c"
        - name: "65d83e471e92a41a8b8edf5d"
          creator_oid: "65d83e471e92a41a8b8edf5d"
        - name: "66758fec9aa7f739a22e76dc"
          creator_oid: "66758fec9aa7f739a22e76dc"
        - name: "665363d98da1d2cd3658d2ad"
          creator_oid: "665363d98da1d2cd3658d2ad"
        - name: "6696a5810ea7eacfd5b7302c"
          creator_oid: "6696a5810ea7eacfd5b7302c"
        - name: "66879e8472b8ceaab0591e6c"
          creator_oid: "66879e8472b8ceaab0591e6c"
        - name: "669a94614a546de546f46b56"
          creator_oid: "669a94614a546de546f46b56"
        - name: "668be6caab743400f6b25c01"
          creator_oid: "668be6caab743400f6b25c01"
        - name: "669a29167ee77d1c51666ac2"
          creator_oid: "669a29167ee77d1c51666ac2"
        - name: "669b0fffd0da8f39e9b00654"
          creator_oid: "669b0fffd0da8f39e9b00654"
        - name: "669a42e73d5473edbb2868dd"
          creator_oid: "669a42e73d5473edbb2868dd"
        - name: "Hakua_Amou"
          creator_oid: "6699f11c7d032bafb2b67fcb"
        - name: "66bb4c494c67fc2b1271855c"
          creator_oid: "66bb4c494c67fc2b1271855c"
        - name: "66bb558f8f29054939abc158"
          creator_oid: "66bb558f8f29054939abc158"
        - name: "6710b9e59f1c0745f5125323"
          creator_oid: "6710b9e59f1c0745f5125323"

 
  filter.exclude:
    entities:
      - name: rplay_internal
        fields:
          - 'restream_platform'
        patterns:
          - 'twitch'
          - 'youtube'
 
  execute:
    entities:
      - name: "rplay"
        command: "yt-dlp {url} --username your@account.gov --password suchagoodpassword"
        working_dir: "rplay/"
        log_dir: "rplay/logs/"
        log_filename: '{start}.log'
 
 
 
chains:
  test_rplay:
    - rplay.user:
      - connectopia
      - rhymu_promisu
      - chachamaru
      - furachi
      - 64b8a20a288da17a2c622586
      - satsuha
      - hatsukoi_himeka
      - cia
      - miyakawayukino
      - datenshi_lune
      - jakotimaki
      - ms_neferu
      - shirotsuki_ru
      - aminopikon
      - riruchin
      - cocoro_ASMR
      - 66e0c89606c50a79e09335a6
      - racal_ra
      - 66ac8da81de1d9d00547ca18
      - 667adc9e9aa7f739a2158ff3
      - 663798ec5d5007d8c888b749
      - 66222d8e29e6ac9b2314be2c
      - 65d83e471e92a41a8b8edf5d
      - 66758fec9aa7f739a22e76dc
      - 665363d98da1d2cd3658d2ad
      - 6696a5810ea7eacfd5b7302c
      - 66879e8472b8ceaab0591e6c
      - 669a94614a546de546f46b56
      - 662096054eb65b83662e0881
      - 668be6caab743400f6b25c01
      - 669a29167ee77d1c51666ac2
      - 669b0fffd0da8f39e9b00654
      - 669a42e73d5473edbb2868dd
      - Hakua_Amou
      - 66bb4c494c67fc2b1271855c
      - 66bb558f8f29054939abc158
      - 6666afe57d9a613ad7cc2257
      - 6687dd0b0ea7eacfd52fcccc
      - 66c97f4e4908bac7112adb6f
      - 66867431945737e50ec1d534
      - 658ace4494bb71283af7ab4c
      - 66b47883b0d4ca301926a0c2
      - 6710b9e59f1c0745f5125323
      - 6707d811d38d513569a9f508
      - 6650b5948da1d2cd361f983c
      - 66213fd14eb65b8366a63916
      - 670fa0ce8fc97b000de6c26f
      - setsuneko
      - 66a09bbce35d6393c199bb0c
      - evsn_19
      - 67af955f2c612cfa09b99b45
      - 670cb230033d356e6b87b59c
      - 6700858a23dc97d2b5e8b02a
      - 6709181e5425a17e0f6c90ff
      - 672db2e69c993e5d7d4317f0
      - 67175df2033d356e6b0e095b
      - 670caefc85796799bd01f06e
      - 6708ffd2cb6311fa2487f3a8
      - 6784e53115d267239cb9c79d
      - 679640c789cd96d53a4441b2
      - 669667000e362219cf2fcbf3
      - tamanoihinokimatatabi
      - 677e54708b6d1c81e7594d72
      - 678b2aab89cd96d53a79d17e
      - 678b2c3daefb4d6fa1756764
      - 67eca8fa1a195efff0217c2e
      - 67f0e33ddef70b04d27e89ff
      - pekapekatta777
      - 6800ffc38e10500afe4b46ab
      - 67263be41e058603feeef70e
      - 66815ca908c6c6f845e3601a1
      - 675653ab19e0fd756ff2cea3
      - 6879c2560dc710d284a6920e
      - 679c82d1955508441bd011d9
      - 68793bd66a7b2440ae86bdb2
      - 6879d69d0dc710d284a6a081
      - 687a02e97c521a0067788b8d
      - 6707aba9149be29166f34661
      - 67a0859115f8d9969cc7c28b
      - 6765210ba81e532eb0ef7b2d
      - 679cbfc21439c1ad1d147626
      - 680f89b297282fcd0300b095
      - 6721f12e033d356e6b2b34af
      - 68484ed975fa93c14fb29f31
      - 6839947140463542411fba7c
      - 68381f06a42f585dd7db61d0    
      - 683edbadee82db99a2a4f84f
      - xxx_hoshimaru
      - 6897138859868edd82a9ab3e
      - 6822fc2dd171850fd77894b5
      - 684cef74cedd917c42919bd8
      - 67d98045e6bae242d87246fa
      - 68cd08cd539437216f0020c6
      - 677cc3ac2a9b0a9924af2837
      - 68ccf6210a9ac28105535ed0
      - 68fe38f82bfcda8a2281c2c6
    - filter.exclude:
      - rplay_internal
    - execute:
      - rplay